<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Hunting Template Injection — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `identify --url <val> --param <val>` | Identify template engine in use |
| `test --url <val> --param <val> --engine <val>` | Test for template injection |
| `exploit --url <val> --param <val> --engine <val>` | Escalate SSTI to code execution |
| `report --url <val> --format <val>` | Generate SSTI report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--param` | string | Yes | Param parameter |
| `--engine` | string | Yes | Engine parameter |
| `--format` | string | Yes | Format parameter |
